Get audit log

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /project/{projectId}/scenario/{scenarioId}/activity/{activityId}/audit

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
  • scenarioId integer(int64) Required
  • activityId integer(int64) Required

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • differences array[object]
      Hide differences attributes Show differences attributes object
      • field string
      • isFlagged boolean
      • flagId integer(int64)
    • action string

      Values are ADDED, DELETED, or UPDATED.

    • entity string

      Values are Activity, Logic, Report, Calendar, CalendarWorktime, or WBS.

    • id integer(int64)
    • friendlyId string
    • wbsId integer(int32)
    • wbsName string
    • trade string
    • relation object
      Hide relation attributes Show relation attributes object
      • activityRelationId integer(int64)
      • predecessorActivityId integer(int64)
      • successorActivityId integer(int64)
      • predecessorFriendlyId string
      • successorFriendlyId string
    • auditDate string(date)
    • floatTotal number(double)
    • activityIds array[integer(int64)]
    • auditId string
    • causedByFloatPath boolean
GET /project/{projectId}/scenario/{scenarioId}/activity/{activityId}/audit
curl \
 --request GET 'https://live.smartpmtech.com/project/{projectId}/scenario/{scenarioId}/activity/{activityId}/audit' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
[
  {
    "differences": [
      {
        "field": "string",
        "isFlagged": true,
        "flagId": 42
      }
    ],
    "action": "ADDED",
    "entity": "Activity",
    "id": 42,
    "friendlyId": "string",
    "wbsId": 42,
    "wbsName": "string",
    "trade": "string",
    "relation": {
      "activityRelationId": 42,
      "predecessorActivityId": 42,
      "successorActivityId": 42,
      "predecessorFriendlyId": "string",
      "successorFriendlyId": "string"
    },
    "auditDate": "2026-05-04",
    "floatTotal": 42.0,
    "activityIds": [
      42
    ],
    "auditId": "string",
    "causedByFloatPath": true
  }
]